Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.mime
Class HeaderSet.Header

    java.lang.Object
      com.vordel.mime.HeaderSet.Header

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  HeaderSet

    public static class HeaderSet.Header

extends java.lang.Object
implements java.io.Serializable

Represents a single header in a header set.

A header can be treated as a parsed, semantic type, dependent on context, or purely as a string. The two formats can be converted to and from each other.

Note that the name of the header is only available as a key to the `HeaderSet`: it cannot be infered from the Header object itself.

See Also:
  `HeaderParser`, Serialized Form

Constructor Summary
`HeaderSet.Header(java.lang.Object o)` Construct a header from the parsed object.
`HeaderSet.Header(java.lang.String s)` Construct a header from the MIME string value

Method Summary
`boolean` | `equals(java.lang.Object other)`
`int` | `getLength()`
`java.lang.Object` | `getParsed(HeaderParser p)` Retrieve the semantic version of this object.
`java.util.Iterator<java.lang.String>` | `getStringValues()` Deprecated. this doesn't work as you'd expect.
`int` | `hashCode()`
`void` | `setParsed(java.lang.Object o)` Set value from parsed object.
`void` | `setString(java.lang.String s)` Set the value of this header from the MIME string.
`java.lang.String` | `toString()` Get string value suitable for use in a MIME header.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeaderSet.Header

    public HeaderSet.Header(java.lang.Object o)

  Construct a header from the parsed object.

### HeaderSet.Header

    public HeaderSet.Header(java.lang.String s)

  Construct a header from the MIME string value

Method Detail

### toString

    public java.lang.String toString()

  Get string value suitable for use in a MIME header.

  Overrides:
    `toString` in class `java.lang.Object`

### getStringValues

    public java.util.Iterator<java.lang.String> getStringValues()

  Deprecated. this doesn't work as you'd expect.

### getParsed

    public java.lang.Object getParsed(HeaderParser p)
                               throws java.text.ParseException

  Retrieve the semantic version of this object. The type will be dictated by the parser, and will be useful in the context of the caller.

  Parameters:
    `p` - The parser to use for this header.
  Returns:
    The parsed form of this header's value.
  Throws:
    `java.text.ParseException`

### setParsed

    public void setParsed(java.lang.Object o)

  Set value from parsed object.

  Note the parsed form must match whatever type a parser used in `getParsed(com.vordel.mime.HeaderParser)` will produce for the same header.

  Parameters:
    `o` - The parsed object

### setString

    public void setString(java.lang.String s)

  Set the value of this header from the MIME string.

  Parameters:
    `s` - the string value of the header.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getLength

    public int getLength()

  Returns:
    returns the length (in bytes) of the header (excluding )

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel